We've made some updates! Check out our updated Documentation Portal! Learn more...

Download Audit Trail Document

Prev Next

With this API, you can download the audit trail document that was generated with Generate audit trail on demand. The response of the generate-audit-trail request contains the link to the download location of the document. This link is included in the request to download the audit trail document.

Syntax

GET /api/transactions/transaction_id/data

Available parameters

Request parameters (download audit trail document)

Name

HTTP request data

Description

Authorization

Request header

Required. This is the authorization token.

Format: Bearer token

url

Request parameter

Required. The link to the download location of the audit trail document.

Format: sfs://shared_storage_id/tenant_id/transactions/transaction_id/­docs/AuditTrailDocument_transaction_version_number_events/1

Examples

Example request

curl --location --request GET 'https://host:port/api/transactions/00178a9e-0862-4055-88b8-94f49618b51b/data?url=sfs://my_db/default/dealflo/transactions/00178a9e-0862-4055-88b8-94f49618b51b/docs/AuditTrailDocument_11_40/1' \
--header 'Authorization: Bearer token' \
--header 'Cookie: cookie'